Name:          eko
Version:       7.1.0
Release:       %mkrel 1
Summary:       A Eko is a small audio editor with mixer and realtime fx
Group:         Sound/Editors and Converters
License:       Public Domain
URL:           https://psemiletov.github.io/eko/
Source0:       https://github.com/psemiletov/eko/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: cmake
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6Xml)
BuildRequires: cmake(Qt6Core5Compat)

BuildRequires: pkgconfig(sndfile)
BuildRequires: pkgconfig(samplerate)
BuildRequires: pkgconfig(portaudio-2.0)

%description
EKO is the sound editor. It features real-time FX rack, signal generators,
channel converter, RMS and level analysis, DC offset corrector, color 
palettes; hotkeys customizations and more.

%prep
%autosetup -p1

# Fix typo? for the desktop file name
sed -e 's|tea_DESKTOP|eko_DESKTOP|g' -i CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc AUTHORS TODO
%{_bindir}/eko
%{_datadir}/applications/eko.desktop
%{_iconsdir}/hicolor/*/apps/eko.png


%changelog
* Tue Nov 05 2024 daviddavid <daviddavid> 7.1.0-1.mga10
+ Revision: 2112501
- new version: 7.1.0 (thanks to Aurelian R, mga#33722)
- switch to Qt6 and cmake build system

* Sun Apr 03 2022 umeabot <umeabot> 5.3.5-8.mga9
+ Revision: 1842031
- Mageia 9 Mass Rebuild

* Wed Dec 16 2020 umeabot <umeabot> 5.3.5-7.mga8
+ Revision: 1658339
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 5.3.5-6.mga8
+ Revision: 1524573
- Mageia 8 Mass Rebuild

* Sat Mar 30 2019 umeabot <umeabot> 5.3.5-5.mga7
+ Revision: 1381625
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 5.3.5-4.mga7
+ Revision: 1297583
- Mageia 7 Mass Rebuild

* Fri Dec 29 2017 semiletov <semiletov> 5.3.5-3.mga7
+ Revision: 1187230
- spec file fixes and cleanup

* Fri Dec 29 2017 semiletov <semiletov> 5.3.5-2.mga7
+ Revision: 1187170
+ rebuild (emptylog)

* Fri Dec 29 2017 semiletov <semiletov> 5.3.5-1.mga7
+ Revision: 1187088
- imported package eko

